Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.measurement
Class PerformanceDataAvailableEventImpl

    java.lang.Object
      com.sun.management.oss.impl.AttributeAccessImpl
          com.sun.management.oss.impl.util.IRPEventImpl
              com.sun.management.oss.impl.pm.measurement.PmIRPEventImpl
                  com.sun.management.oss.impl.pm.measurement.PerformanceDataAvailableEventImpl

All Implemented Interfaces:
  AttributeAccess, java.lang.Cloneable, Event, IRPEvent, PerformanceDataAvailableEvent, java.io.Serializable, SerializerFactory

public class PerformanceDataAvailableEventImpl
extends PmIRPEventImpl
implements PerformanceDataAvailableEvent

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi, Hooman Tahamtani, Katarina Wahlstr?m
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sun.management.oss.pm.measurement.PerformanceDataAvailableEvent
`REPORT_INFO`

Fields inherited from interface com.sun.management.oss.util.IRPEvent
`APPLICATION_DN, EVENT_TIME, MANAGED_OBJECT_CLASS, MANAGED_OBJECT_INSTANCE, NOTIFICATION_ID`

Constructor Summary
`PerformanceDataAvailableEventImpl()`

Method Summary
`ReportInfo` | `getReportInformation()` Gets information about the report.
`ReportInfo` | `makeReportInformation()` Creates a new instance of the ReportInfo interface.
`void` | `setReportInformation(ReportInfo info)` Sets information about the report.

Methods inherited from class com.sun.management.oss.impl.pm.measurement.PmIRPEventImpl
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from class com.sun.management.oss.impl.util.IRPEventImpl
`getApplicationDN, getEventTime, getManagedObjectClass, getManagedObjectInstance, getNotificationId, getSupportedOptionalAttributeNames, setApplicationDN, setEventTime, setManagedObjectClass, setManagedObjectInstance, setNotificationId`

Methods inherited from class com.sun.management.oss.impl.AttributeAccessImpl
`clone, getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.util.IRPEvent
`getManagedObjectClass, getManagedObjectInstance, getNotificationId, setManagedObjectClass, setManagedObjectInstance, setNotificationId`

Methods inherited from interface com.sun.management.oss.Event
`clone, getApplicationDN, getEventTime, setApplicationDN, setEventTime`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Methods inherited from interface com.sun.management.oss.AttributeAccess
`getAllPopulatedAttributes, getAttributeNames, getAttributeValue, getAttributeValues, getPopulatedAttributeNames, getSupportedOptionalAttributeNames, isFullyPopulated, isPopulated, setAttributeValue, setAttributeValues, unpopulateAllAttributes, unpopulateAttribute`

Constructor Detail

### PerformanceDataAvailableEventImpl

    public PerformanceDataAvailableEventImpl()

Method Detail

### getReportInformation

    public ReportInfo getReportInformation()
                                    throws java.lang.IllegalStateException

  Description copied from interface: `PerformanceDataAvailableEvent`
  Gets information about the report.

  The report information contains all information that is needed to retrieve measurement report data.

  Specified by:
    `getReportInformation` in interface `PerformanceDataAvailableEvent`
  Returns:
    ReportInfo Measurement report information.
  Throws:
    `java.lang.IllegalStateException` - Is thrown if the attribute is supported, and the attribute has not been populated.
  See Also:
    `PerformanceDataAvailableEvent.setReportInformation(com.sun.management.oss.pm.measurement.ReportInfo)`

### makeReportInformation

    public ReportInfo makeReportInformation()

  Description copied from interface: `PerformanceDataAvailableEvent`
  Creates a new instance of the ReportInfo interface.

  Specified by:
    `makeReportInformation` in interface `PerformanceDataAvailableEvent`
  Returns:
    ReportInfo The created object. The object is empty.

### setReportInformation

    public void setReportInformation(ReportInfo info)
                              throws java.lang.IllegalArgumentException

  Description copied from interface: `PerformanceDataAvailableEvent`
  Sets information about the report.

  The report information shall contains all information that is needed to retrieve measurement report data.

  Specified by:
    `setReportInformation` in interface `PerformanceDataAvailableEvent`
  Parameters:
    `info` - a ReportInfo object specifying the report information value
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `PerformanceDataAvailableEvent.getReportInformation()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD